
### Introduction
The **«Price Decimal Precision»** Magento 2 extension allows a store administrator to setup a custom display decimal precision for the prices and other currency values (discounts, taxes, sales amounts, etc.) both for the frontend and the backend areas.
The price display settings are individual per currency and per store.
The extension supports an unlimited number of currencies.

![alt text](http://res.cloudinary.com/dho2b9ukb/image/upload/v1506373635/general_config_mt9vi8.png "Magento 2 Price Decimal Precision")

The **«Price Decimal Precision»** extension allows you to change or delete the decimal number (precision) in a price, that is displayed in the front office of your store. The extentension supports multi store and multi website configuration and can be useful in managing multiwebsites / multisore shops. The ** "Price Decimal Precision" ** extension is a free and fully configurable and  can be helpful for your business.

### What can the extension do for you?
###### Remove decimal precision from price
![](http://res.cloudinary.com/dho2b9ukb/image/upload/v1506373660/scren1-1_xcpn8p.png "Magento 2 Price Decimal Precision")
###### Price with one decimal precision
![](http://res.cloudinary.com/dho2b9ukb/image/upload/v1506373661/scren2-1_ahawtd.png "Magento 2 Price Decimal Precision")

### Features
- Free and open source and fully configurable extension;
- Easy to install and unistall;
- Easy to configurate;
- Remove or change the price precision from a specific website or store;
- Supports English translation.

### Installation
The preferred way of installing lillik/magento2-price-decimal is through Composer. Simply add lillik/magento2-price-decimal as a dependency:

```bash
php composer.phar require lillik/magento2-price-decimal
```
### Contribution
If you have any issues, please [contact me](https://twitter.com/clipro) or open a bug report in GitHub's [issue tracker](https://github.com/lillik/magento2-price-decimal/issues).

### License
The code is licensed under [Apache-2.0 License](https://www.apache.org/licenses/LICENSE-2.0).
